PUT /api/v3/savings/auc

Edit the average unit cost "acceptable range" values for cost avoidance for one or more commodities Cost Avoidance Savings will be re-calculated for all bills for meters having the affected commodities

EditAucRangesV3 Permissions: GlobalCostAvoidanceSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

Array of:

AucRangeRequest
Property Description Type
commodityId The unique identifier for the commodity Required (defined) integer (int32)
lowerLimitMultiplier When the current bill’s average unit cost is LOWER than this multiplier x the baseline bill’s average unit cost, then the cost avoidance processor will use the average unit cost from the baseline bill instead of the current bill Must be between 0.1 and 20.0 Required (defined) number (double)
upperLimitMultiplier When the current bill’s average unit cost is HIGHER than this multiplier x the baseline bill’s average unit cost, then the cost avoidance processor will use the average unit cost from the baseline bill instead of the current bill Must be greater than LowerLimitMultiplier Must be between 0.1 and 20.0 Required (defined) number (double)
Example Request Body application/json
[
  {    "commodityId": 1,    "lowerLimitMultiplier": 1.0,    "upperLimitMultiplier": 1.0
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

AucRangeResponse
Property Description Type
commodity CommodityChild
CommodityChild properties
Property Description Type
commodityCode The commodity code Required (defined) string
commodityIcon Icon
Icon properties
Property Description Type
code The icon code Must be between 0 and 64 characters Required when Color is set string
color The icon color Must be between 0 and 32 characters Required when Code is set string
commodityId The commodity identifier Required (defined) integer (int32)
commodityInfo The commodity info Required (defined) string
commodityCapId Unique identifier for the commodity’s average unit cost range integer (int32)
isUsed Indicates whether or not this commodity is used; i.e. there are meters that have been created with this commodity which are included in cost avoidance boolean
lowerLimitMultiplier When the current bill’s average unit cost is LOWER than this multiplier x the baseline bill’s average unit cost, then the cost avoidance processor will use the average unit cost from the baseline bill instead of the current bill number (double)
upperLimitMultiplier When the current bill’s average unit cost is HIGHER than this multiplier x the baseline bill’s average unit cost, then the cost avoidance processor will use the average unit cost from the baseline bill instead of the current bill number (double)
Example Response application/json
[
  {    "commodity": {      "commodityCode": "string",      "commodityIcon": {},      "commodityId": 1,      "commodityInfo": "string"
    },    "commodityCapId": 1,    "isUsed": false,    "lowerLimitMultiplier": 1.0,    "upperLimitMultiplier": 1.0
  }
]